xonsh (0.22.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.22.3+dfsg
  * d/patches: rebase, drop 0004-drop-deprecated-docutils-errorstring
  * d/control: standards-version 4.7.3, drop priority

 -- Gordon Ball <gordon@chronitis.net>  Sun, 08 Feb 2026 21:08:51 +0100

xonsh (0.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.22.0+dfsg
  * d/patches: refresh
  * d/watch: upgrade to version 5

 -- Gordon Ball <gordon@chronitis.net>  Fri, 19 Dec 2025 21:34:44 +0100

xonsh (0.19.9+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove ancient debian/xonsh.bcep

  [ Gordon Ball ]
  * New upstream version 0.19.9+dfsg
  * d/patches: refresh
  * d/control: standards-version 4.7.2
  * d/patches: drop deprecated docutils ErrorString
  * d/rules: changelog renamed to CHANGELOG.md
  * d/control: drop now-unneeded rules-requires-root

 -- Gordon Ball <gordon@chronitis.net>  Mon, 13 Oct 2025 21:58:26 +0200

xonsh (0.19.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Apr 2025 21:51:07 +0100

xonsh (0.19.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Feb 2025 02:20:06 +0000

xonsh (0.19.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jan 2025 19:43:12 +0000

xonsh (0.19.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix deprecation warnings on Python 3.13 (closes: #1092797).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Jan 2025 17:25:05 +0000

xonsh (0.18.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.18.4+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Mon, 18 Nov 2024 21:43:03 +0100

xonsh (0.18.3+dfsg-2) unstable; urgency=medium

  * Backport xonsh#5722 and #5725. These are both related to use of private
    methods in argparse, which were broken by changes in python 3.12.7
    (Closes: #1087103)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 11 Nov 2024 22:28:03 +0100

xonsh (0.18.3+dfsg-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Team upload.
  * New upstream release. (Closes: #1075749)
    - Rebase and reapply all patches.
  * Enable webconfig, previously disabled due to license incompatibilities.
    - Drop patch drop-webconfig.
    - Use the packaged version of Bootstrap.
  * Build the documentation with the furo Sphinx theme, now in Debian.
  * Build and test with pytest-subprocess, now in Debian.
  * Miscellaneous source-level changes:
    - Cleanup debian/xonsh.1 during "debian/rules clean".
    - wrap-and-sort debian/control.
    - Add a gbp.conf config file to enable pristine-tar.
  * Refactor debian/copyright to document all copyright authors and licenses
    found, and miscellaneous other cleanups in the process.
  * Bump Standards-Version to 4.7.0.

 -- Gordon Ball <gordon@chronitis.net>  Sat, 12 Oct 2024 18:48:26 +0000

xonsh (0.15.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Supports pytest 8. (Closes: #1063989)
  * Refresh patches.
  * Drop revert-pytest-8.patch, no longer needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 31 Mar 2024 12:30:13 -0400

xonsh (0.14.4+dfsg-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Correct bug number in previous changelog.

  [ Gordon Ball ]
  * New upstream version 0.14.4+dfsg
  * d/patches: drop sphinx-5, applied upstream

 -- Gordon Ball <gordon@chronitis.net>  Sat, 10 Feb 2024 22:38:40 +0100

xonsh (0.14.3+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)

  [ Stefano Rivera ]
  * Team upload.
  * Patch: Support Sphinx >= 5. (Closes: #1057596)
  * Build-Depends: python3-prompt-toolkit for auto docs.
  * Clean correctly. (Closes: #1048535)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 17 Dec 2023 13:41:44 -0400

xonsh (0.14.1+dfsg-2) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Thu, 14 Dec 2023 11:21:36 +0100

xonsh (0.14.1+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.1+dfsg
  * d/rules: move all xonsh-* coreutil-reimplementation binaries to usr/share

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Oct 2023 11:20:46 +0000

xonsh (0.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Previously bundled xontribs (abbrevs, bashisms, free_cwd,
    whole_word_jumping, fish_completer, vox, autovox, voxapi, pdb, xog) have
    been transferred to separate upstream repositories, and are consequently
    dropped from this one. Until and unless they are independently packaged,
    they can be installed as `pip` packages.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 05 Jul 2023 21:56:46 +0200

xonsh (0.13.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.4+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Jan 2023 22:47:21 +0000

xonsh (0.13.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.13.3+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Sat, 01 Oct 2022 18:54:27 +0000

xonsh (0.13.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Dropped python3-binary.patch, superseded upstream.
  * Build-Depend on python3-setuptools >= 61, now required.
  * We no longer need to remove xon.sh from /usr/bin.
  * Patch out use of the furo template in docs, not packaged in Debian.
  * Drop patch virtualenv-20.16.patch, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Sep 2022 21:49:15 +0200

xonsh (0.12.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Forwarded python3-binary.patch.
  * Build with pybuild's pyproject plugin.
  * Patch: Add support for virtualenv > 20.16, which now uses stdlib pathlib.
  * Bump copyright.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 09 Aug 2022 13:44:11 +0200

xonsh (0.12.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Restrict Python < 3.10 from attempting to byte-compile
    xonsh/parsers/v310.py, which uses the new match keyword.
    (Closes: #1010742)
  * Patch: Revert pytest 8 support, incompatible with pytest 6.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 May 2022 14:28:10 -0400

xonsh (0.12.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Bump dependencies on python3-prompt-toolkit to >= 3.0.29, as we are
    depending on create_pipe_input being a context manager. (#1010198)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 May 2022 07:37:50 -0400

xonsh (0.12.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Set XONSH_DATA_DIR to a temporary directory while building sphinx docs.
    Fixes FTBFS when $HOME is not writeable.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 May 2022 09:52:44 -0400

xonsh (0.12.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1010198)
  * Refresh patches.
  * Drop patches, superseded upstream:
    - 0005-fix-docs-build-fail-on-tracer-calls-without-spec.patch
    - test-pipelines-import.patch
  * Build-Depends on python3-myst-parser for docs.
  * Build-Depend and autopkgtest Depend on python3-virtualenv.
  * Build the docs within the source tree, as upstream's jinja extension
    expects (otherwise envvars.rst.out can't be located).
  * Tell dh_sphinxdoc to ignore envvars.rst.jinja2.html, the HTML file is
    called envvars.html.
  * Call dh_python3-ply and Depend on ${python3-ply:Depends}.
  * Patch: expect the system python to be called "python3", not "python".
  * Patch: Skip tests that require pytest-subprocess.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 May 2022 07:57:59 -0400

xonsh (0.11.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster

  [ Gordon Ball ]
  * New upstream version 0.11.0+dfsg
  * Backport #4559 to fix errors building documentation
  * Add test-depends on python3-pyte, python3-pytest-mock
  * Skip tests marked flaky upstream

 -- Gordon Ball <gordon@chronitis.net>  Tue, 23 Nov 2021 19:28:41 +0000

xonsh (0.10.1+dfsg-1) unstable; urgency=medium

  * d/watch: new github tarball URL
  * New upstream version 0.10.1+dfsg
  * Rebase patches, drop vendored ptk and 0.9.25 changlog patches
  * Update test dependencies, exclusions
  * d/copyright: remove vended_ptk from files-excluded; no longer included
    upstream

 -- Gordon Ball <gordon@chronitis.net>  Mon, 16 Aug 2021 17:42:34 +0000

xonsh (0.9.25+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.25+dfsg
  * d/control: debhelper compat 13
  * d/control: add python3-pyperclip to suggests
  * Patch import error in test_pipelines
  * Patch missing upstream changelog for 0.9.25

 -- Gordon Ball <gordon@chronitis.net>  Mon, 01 Feb 2021 19:17:39 +0000

xonsh (0.9.24+dfsg-4) unstable; urgency=medium

  * Version pytest dependency for autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Sun, 17 Jan 2021 23:10:46 +0000

xonsh (0.9.24+dfsg-3) unstable; urgency=medium

  * Drop patch pytest-4-support now pytest 6 is available (Closes: #979291)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 05 Jan 2021 19:22:47 +0000

xonsh (0.9.24+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + xonsh-doc: Add Multi-Arch: foreign.

  [ Gordon Ball ]
  * Build for, and depend upon, only the current python3 version, since the
    generated parser table is version-specific.
  * Temporarily drop test_parser on python3.9, since the xonsh parser is still
    tested against python3.8

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 Nov 2020 16:37:22 +0000

xonsh (0.9.24+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.24+dfsg
  * Rebase patches

 -- Gordon Ball <gordon@chronitis.net>  Sat, 24 Oct 2020 19:21:18 +0000

xonsh (0.9.23+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.23+dfsg
  * Refresh patches
  * Drop retired uploader barry@debian.org. Thank you for your contributions!
    (Closes: #970189)
  * Install jupyter kernel in d/rules, since setup.py no longer automates it
  * Update versioned dependency on prompt-toolkit to 3.0.7 (Closes: #972121)

 -- Gordon Ball <gordon@chronitis.net>  Thu, 15 Oct 2020 10:31:23 +0000

xonsh (0.9.22+dfsg-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 0.9.22+dfsg
  * Drop unnecessary dependency on python3-venv (Closes: #970807)

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Gordon Ball <gordon@chronitis.net>  Thu, 24 Sep 2020 18:46:48 +0000

xonsh (0.9.20+dfsg-1) unstable; urgency=medium

  * Exclude xonsh/vended_ptk in preparation for 0.9.20
  * New upstream version 0.9.20+dfsg
  * Refresh patches, patch references to vendored prompt-toolkit

 -- Gordon Ball <gordon@chronitis.net>  Mon, 31 Aug 2020 15:30:12 +0000

xonsh (0.9.19+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.19+dfsg
  * Patch upstream changes removing support for pytest < 5

 -- Gordon Ball <gordon@chronitis.net>  Mon, 10 Aug 2020 19:02:26 +0000

xonsh (0.9.18+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.18+dfsg
  * Depend upon prompt-toolkit >= 2. This version drops support for
    prompt-toolkit 1.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 06 May 2020 19:39:44 +0000

xonsh (0.9.17+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.17+dfsg
  * Patch out runthis sphinx extension in documentation

 -- Gordon Ball <gordon@chronitis.net>  Fri, 24 Apr 2020 19:14:16 +0000

xonsh (0.9.15+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.15+dfsg

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 Mar 2020 07:44:27 +0000

xonsh (0.9.14+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.14+dfsg
  * Drop backport of xonsh#3384 (from this upstream version)
  * Exclude the new xonsh webconfig tool, added in this version: unfortunately
    this requires elm to build, which is not available in main. For now the
    config banner will still refer to the old CLI wizard.

 -- Gordon Ball <gordon@chronitis.net>  Mon, 02 Mar 2020 20:16:27 +0000

xonsh (0.9.13+dfsg-2) unstable; urgency=medium

  * Backport upstream PR xonsh#3384 for python3.8 support (closes: #950212)
  * Update to Standards-Version 4.5.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 31 Jan 2020 12:21:28 +0000

xonsh (0.9.13+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.13+dfsg
  * Update to Standards-Version 4.4.1

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Nov 2019 20:58:21 +0000

xonsh (0.9.11+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Gordon Ball ]
  * New upstream release
  * Refresh patches
  * Upgrade to debhelper compat level 12

 -- Gordon Ball <gordon@chronitis.net>  Wed, 25 Sep 2019 21:03:51 +0000

xonsh (0.9.8+dfsg-1) unstable; urgency=medium

  * New upstream version 0.9.8+dfsg
  * Refresh patches
  * Update to Standards-Version 4.4.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 09 Jul 2019 19:08:18 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog xonsh`.
